Joey Armstrong | f128de8 | 2023-09-08 17:05:18 -0400 | [diff] [blame] | 1 | #!/bin/bash |
2 | |||||
3 | set -euo pipefail | ||||
4 | |||||
5 | mkdir -p makefiles | ||||
6 | pushd makefiles || { echo "ERROR: pushd makefiles failed"; exit 1; } | ||||
7 | |||||
8 | git submodule add 'https://github.com/opencord/onf-make.git' onf-lib | ||||
9 | |||||
10 | echo 'onf-lib' >> .gitignore | ||||
11 | git add .gitignore | ||||
12 | |||||
13 | cp ../makefiles_include_mk.ex include.mk | ||||
14 | |||||
15 | mkdir -p local | ||||
16 | touch local/include.mk | ||||
17 | git add include.mk | ||||
18 | |||||
19 | popd || { echo "ERROR: popd makefiles failed"; exit 1; } | ||||
20 | |||||
21 | # [EOF] |